Tspi_Key_UnloadKey(3)

TCG Software Stack Developer's Reference

NAME
Tspi_Key_UnloadKey - unload a key from the TPM

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_Key_UnloadKey(TSS_HKEY hKey);

DESCRIPTION

Tspi_Key_UnloadKey unloads the key referenced by the given key object from the TPM. This call will result in a TPM_EvictKey operation for the specified key.

PARAMETERS

  hKey
The hKey parameter is the handle of the key object to unload.

RETURN CODES

Tspi_Key_UnloadKey returns TSS_SUCCESS on success, otherwise one of the following values is returned:

TSS_E_INVALID_HANDLE
    hKey is not a valid handle.

TSS_E_INTERNAL_ERROR
    An internal SW error has been detected.

TSS_E_BAD_PARAMETER
    One or more parameters is bad.

CONFORMING TO

Tspi_Key_UnloadKey conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_Key_LoadKey(3), Tspi_Key_GetPubKey(3).